Dist::Zilla::App::Command::build(3)

NAME
Dist::Zilla::App::Command::build - build your dist

VERSION
version 4.300016

SYNOPSIS
  dzil build [ --trial ] [ --tgz | --no-tgz ] [ --in /path/to/build/dir ]

DESCRIPTION
This command is a very thin layer over the Dist::Zilla "build" method, which does all the things required to build your distribution. By default, it will also archive your distribution and leave you with a complete, ready-to-release distribution tarball.

EXAMPLE
  $ dzil build
  $ dzil build --no-tgz
  $ dzil build --in /path/to/build/dir

OPTIONS

  --trial
This will build a trial distribution. Among other things, it will generally mean that the built tarball's basename ends in -TRIAL.

  --tgz | --no-tgz
Builds a .tar.gz in your project directory after building the distribution.

--tgz behaviour is by default, use --no-tgz to disable building an archive.

  --in
Specifies the directory into which the distribution should be built. If necessary, the directory will be created. An archive will not be created.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.